Bug 310559 - Performing two transformations with the tranform tool is not allowed
Summary: Performing two transformations with the tranform tool is not allowed
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 15:15 UTC by David REVOY
Modified: 2013-01-20 10:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2012-11-23 15:15:29 UTC
Performing two transformations with the tranform tool is not allowed for the moment in master ; under certain conditions :

After making a selection on a part of the image , press Ctrl+T to do a transform ( I think it's the default shortcut ? well , the one I use )  ; then resize the part selected , on pressing 'enter' a label will appear :  http://wstaw.org/m/2012/11/23/4.jpg ' Group is not editable'  ; then you can't continue to transform , all is 'freeze' on canvas. Other feature I noticed blocked : the middle mouse click to pan. 

Workaround : I press 'T' switching to the move tool in my shortcut , then Ctrl+T again to do a transformation , then all is unlocked. 

Note : I first saw this behavior when I was under the unstable branch of DmitryK , the old move-tool branch.
Comment 1 Dmitry Kazakov 2013-01-20 10:48:21 UTC
Git commit 0e3a6beaba892879fc0f15b2dba0ce5975911daf by Dmitry Kazakov.
Committed on 20/01/2013 at 11:43.
Pushed by dkazakov into branch 'krita-fixed-transform-kazakov'.

Ported Transform Tool to strokes

There is one regression: the actions inside a single transform stroke
(that is until you applied the transformation) cannot be undone yet.

The undo of the transformation as a whole works perfectly.
Related: bug 251749, bug 313294, bug 297929, bug 297927

M  +4    -7    krita/image/kis_selection_transaction_data.cpp
M  +4    -2    krita/image/kis_selection_transaction_data.h
M  +2    -2    krita/image/kis_transaction.h
M  +1    -1    krita/image/kis_transform_visitor.h
M  +1    -1    krita/plugins/extensions/imagesize/imagesize.cc
M  +2    -1    krita/plugins/tools/defaulttools/strokes/move_selection_stroke_strategy.cpp
M  +2    -1    krita/plugins/tools/defaulttools/strokes/move_stroke_strategy.cpp
M  +1    -0    krita/plugins/tools/tool_transform2/CMakeLists.txt
M  +248  -521  krita/plugins/tools/tool_transform2/kis_tool_transform.cc
M  +24   -24   krita/plugins/tools/tool_transform2/kis_tool_transform.h
M  +4    -4    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.cpp
M  +1    -1    krita/plugins/tools/tool_transform2/kis_tool_transform_config_widget.h
A  +204  -0    krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.cpp     [License: GPL (v2+)]
A  +97   -0    krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.h     [License: GPL (v2+)]
M  +23   -7    krita/plugins/tools/tool_transform2/tool_transform_args.cc
M  +37   -8    krita/plugins/tools/tool_transform2/tool_transform_args.h
M  +2    -2    krita/ui/actions/kis_selection_action_factories.cpp
M  +1    -1    krita/ui/kis_mirror_visitor.cpp
M  +2    -2    krita/ui/tool/kis_selection_tool_helper.cpp

http://commits.kde.org/calligra/0e3a6beaba892879fc0f15b2dba0ce5975911daf